#ifndef _Fast_Math_H__
#define _Fast_Math_H__

// Constants
#define ONE_BY_SQRT3			(0.57735026919f) // 1/sqrt(3)
#define TWO_BY_SQRT3			(2.0f * 0.57735026919f)
#define SQRT3_BY_2				(0.86602540378f)
#define M_PI (3.14159265f)
void fast_sincos(float angle, float *sin, float *cos);
void fast_norm_angle(float *angle);
void normal_sincosf(float angle, float *sin, float *cos);

#endif /* _Fast_Math_H__ */

